> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-references-typescript-bindings-u.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/backfilling/migration-info

> List all previous synchronizer migrations in this Splice network's history.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/backfilling/migration-info
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/backfilling/migration-info:
    post:
      tags:
        - internal
        - scan
      summary: POST /v0/backfilling/migration-info
      description: >
        List all previous synchronizer migrations in this Splice network's
        history.
      operationId: getMigrationInfo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMigrationInfoRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMigrationInfoResponse'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    GetMigrationInfoRequest:
      type: object
      required:
        - migration_id
      properties:
        migration_id:
          type: integer
          format: int64
    GetMigrationInfoResponse:
      type: object
      required:
        - record_time_range
        - complete
      properties:
        previous_migration_id:
          description: >
            The migration id that was active before the given migration id, if
            any.
          type: integer
          format: int64
        record_time_range:
          description: >
            All domains for which there are updates in the given migration id,

            along with the record time of the newest and oldest update
            associated with each domain
          type: array
          items:
            $ref: '#/components/schemas/RecordTimeRange'
        last_import_update_id:
          description: >
            The update id of the last import update (where import updates are
            sorted by update id, ascending)

            for the given migration id, if any
          type: string
        complete:
          description: |
            True if this scan has all non-import updates for given migration id
          type: boolean
        import_updates_complete:
          description: |
            True if this scan has all import updates for the given migration id
          type: boolean
    RecordTimeRange:
      type: object
      required:
        - synchronizer_id
        - min
        - max
      properties:
        synchronizer_id:
          type: string
        min:
          type: string
          format: date-time
        max:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````